Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7704)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 7705)
@@ -751,4 +751,6 @@
     label = _(u'Upload file')
     pnav = 0
+    upload_button =_(u'Upload')
+    cancel_button =_(u'Cancel')
 
     def update(self, uploadfile=None, CANCEL=None, SUBMIT=None):
@@ -797,4 +799,5 @@
     label = _(u'Process CSV file')
     pnav = 0
+    cancel_button =_(u'Cancel')
 
     def getFiles(self):
@@ -826,4 +829,7 @@
     label = _(u'Process CSV file')
     pnav = 0
+    cancel_button =_(u'Cancel')
+    back_button =_(u'Back to step 1')
+    proceed_button =_(u'Proceed to step 3')
 
     filename = None
@@ -943,4 +949,9 @@
     label = _(u'Process CSV file')
     pnav = 0
+    cancel_button =_(u'Cancel')
+    reset_button =_(u'Reset')
+    update_button =_(u'Set headerfields')
+    back_button =_(u'Back to step 2')
+    proceed_button =_(u'Perform import')
 
     filename = None
@@ -1046,4 +1057,6 @@
     label = _(u'Process CSV file')
     pnav = 0
+    show_button =_(u'View processing log')
+    back_button =_(u'Back to data center')
 
     filename = None
@@ -1101,4 +1114,6 @@
     label = _(u'Show logfiles')
     pnav = 0
+    back_button = _(u'Back to Data Center')
+    show_button = _(u'Show')
 
     def update(self, show=None, logname=None, back=None):
@@ -1143,4 +1158,7 @@
     label = _('Edit data center settings')
     pnav = 0
+    save_button =_(u'Save')
+    reset_button =_(u'Reset')
+    cancel_button =_(u'Cancel')
 
     def update(self, newpath=None, move=False, overwrite=False,
@@ -1579,9 +1597,9 @@
     grok.name('addcourse')
     grok.require('waeup.manageUniversity')
-    label = u'Add course'
+    label = _(u'Add course')
     form_fields = grok.AutoFields(ICourseAdd)
     pnav = 1
 
-    @action('Add course')
+    @action(_('Add course'))
     def addCourse(self, **data):
         course = createObject(u'waeup.Course')
@@ -1595,5 +1613,5 @@
                 # do not use error.msg but render a more detailed message instead
                 # and show links to all certs with same code
-                message = 'A course with same code already exists: '
+                message = _('A course with same code already exists: ')
                 message += '<a href="%s">%s</a>' % (
                     self.url(entry), getattr(entry, '__name__', u'Unnamed'))
@@ -1601,5 +1619,5 @@
             self.redirect(self.url(self.context, u'@@addcourse'))
             return
-        message = u'Course %s successfully created.' % (course.code)
+        message = _(u'Course ${a} successfully created.', mapping = {'a':course.code})
         self.flash(message)
         self.redirect(self.url(self.context, u'@@manage')+'?tab2')
@@ -1616,9 +1634,9 @@
     grok.name('addcertificate')
     grok.require('waeup.manageUniversity')
-    label = u'Add certificate'
+    label = _(u'Add certificate')
     form_fields = grok.AutoFields(ICertificateAdd)
     pnav = 1
 
-    @action('Add certificate')
+    @action(_('Add certificate'))
     def addCertificate(self, **data):
         certificate = createObject(u'waeup.Certificate')
@@ -1632,5 +1650,5 @@
                 # do not use error.msg but render a more detailed message instead
                 # and show links to all certs with same code
-                message = 'A certificate with same code already exists: '
+                message = _('A certificate with same code already exists: ')
                 message += '<a href="%s">%s</a>' % (
                     self.url(entry), getattr(entry, '__name__', u'Unnamed'))
@@ -1638,10 +1656,10 @@
             self.redirect(self.url(self.context, u'@@addcertificate'))
             return
-        message = u'Certificate %s successfully created.' % (certificate.code)
+        message = _(u'Certificate ${a} successfully created.', mapping = {'a':certificate.code})
         self.flash(message)
         self.redirect(self.url(self.context, u'@@manage')+'?tab3')
         return
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self): #, **data):
         self.redirect(self.url(self.context))
@@ -1670,13 +1688,13 @@
     grok.name('manage')
     grok.require('waeup.manageUniversity')
-    label = u'Edit course'
+    label = _(u'Edit course')
     pnav = 1
 
     form_fields = grok.AutoFields(ICourse)
 
-    @action('Save', style='primary')
+    @action(_('Save'), style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
-        self.flash('Form has been saved.')
+        self.flash(_('Form has been saved.'))
         return
 
@@ -1687,5 +1705,5 @@
     #    return
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1720,5 +1738,5 @@
     grok.require('waeup.manageUniversity')
     pnav = 1
-    label = 'Edit certificate'
+    label = _('Edit certificate')
 
     form_fields = grok.AutoFields(ICertificate)
@@ -1726,13 +1744,13 @@
     pnav = 1
     grok.template('certificatemanagepage')
-    taboneactions = ['Save','Cancel']
-    tabtwoactions = ['Add course referrer',
-                     'Remove selected course referrers','Cancel']
-    tabthreeactions1 = ['Remove selected local roles']
-    tabthreeactions2 = ['Add local role']
+    taboneactions = [_('Save'),_('Cancel')]
+    tabtwoactions = [_('Add course referrer'),
+                     _('Remove selected course referrers'),_('Cancel')]
+    tabthreeactions1 = [_('Remove selected local roles')]
+    tabthreeactions2 = [_('Add local role')]
 
     @property
     def label(self):
-        return 'Manage certificate'
+        return _('Manage certificate')
 
     def update(self):
@@ -1750,18 +1768,18 @@
     def save(self, **data):
         self.applyData(self.context, **data)
-        self.flash('Form has been saved.')
-        return
-
-    @jsaction('Remove selected course referrers')
+        self.flash(_('Form has been saved.'))
+        return
+
+    @jsaction(_('Remove selected course referrers'))
     def delCertificateCourses(self, **data):
         delSubobjects(self, redirect='@@manage', tab='2')
         return
 
-    @action('Add course referrer', validator=NullValidator)
+    @action(_('Add course referrer'), validator=NullValidator)
     def addCertificateCourse(self, **data):
         self.redirect(self.url(self.context, 'addcertificatecourse'))
         return
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1782,9 +1800,9 @@
         return get_users_with_local_roles(self.context)
 
-    @action('Add local role', validator=NullValidator)
+    @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
         return add_local_role(self, 3, **data)
 
-    @action('Remove selected local roles')
+    @action(_('Remove selected local roles'))
     def delLocalRoles(self, **data):
         return del_local_roles(self,3,**data)
@@ -1799,19 +1817,20 @@
     form_fields = grok.AutoFields(ICertificateCourseAdd)
     pnav = 1
-    label = 'Add course referrer'
-
-    @action('Add course referrer')
+    label = _('Add course referrer')
+
+    @action(_('Add course referrer'))
     def addCertcourse(self, **data):
         try:
             self.context.addCourseRef(**data)
         except KeyError:
-            self.status = self.flash('The chosen course referrer is already '
-                                  'part of this certificate.')
+            self.status = self.flash(_('The chosen course referrer is already '
+                                  'part of this certificate.'))
             return
         self.status = self.flash(
-            "Course referrer %s_%s added." % (data['course'].code,data['level']))
+            _("Course referrer ${a}_${b} added.",
+            mapping = {'a': data['course'].code, 'b': data['level']}))
         self.redirect(self.url(self.context, u'@@manage')+'?tab2')
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1846,8 +1865,8 @@
     grok.require('waeup.manageUniversity')
     form_fields = grok.AutoFields(ICertificateCourse)
-    label = 'Edit course referrer'
-    pnav = 1
-
-    @action('Save and return', style='primary')
+    label = _('Edit course referrer')
+    pnav = 1
+
+    @action(_('Save and return'), style='primary')
     def saveAndReturn(self, **data):
         parent = self.context.__parent__
@@ -1861,9 +1880,9 @@
             parent.addCourseRef(**data)
             parent.delCourseRef(data['course'].code, level=old_level)
-        self.flash('Form has been saved.')
+        self.flash(_('Form has been saved.'))
         self.redirect(self.url(parent))
         return
 
-    @action('Cancel', validator=NullValidator)
+    @action(_('Cancel'), validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7704)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 7705)
@@ -18,4 +18,5 @@
 import grok
 from urllib import urlencode
+from zope.i18n import translate
 from zope.component import getMultiAdapter, queryAdapter, getUtility
 from zope.interface import Interface
@@ -85,5 +86,5 @@
     icon = 'actionicon_modify.png' # File must exist in static/
     target = '@@manage' # link to this viewname.
-    text = 'Edit' # Text to display on the button
+    text = _('Edit') # Text to display on the button
 
     # We set the template file explicitly (instead of using
@@ -154,5 +155,5 @@
     icon = 'actionicon_modify.png'
     target = '@@manage'
-    text = 'Edit'
+    text = _('Edit')
 
 class AddActionButton(ActionButton):
@@ -164,5 +165,5 @@
     icon = 'actionicon_add.png'
     target = 'add'
-    text = 'Add'
+    text = _('Add')
     
 class RemoveActionButton(ActionButton):
@@ -174,5 +175,5 @@
     icon = 'actionicon_delete.png'
     target = 'remove'
-    text = 'Remove'    
+    text = _('Remove')
 
 class SearchActionButton(ActionButton):
@@ -184,5 +185,5 @@
     icon = 'actionicon_search.png'
     target = 'search'
-    text = 'Search'
+    text = _('Search')
 
 
@@ -309,5 +310,5 @@
     grok.order(2)
     grok.require('waeup.Anonymous')
-    text = 'Login'
+    text = _('Login')
     link = 'login'
 
@@ -347,10 +348,11 @@
 
     link = 'configuration'
-    text = u'Portal Configuration'
+    text = _(u'Portal Configuration')
     
     def render(self):
         url = self.view.url(grok.getSite(), self.link)
+        text = translate(self.text, context=self.request)
         return u'<li><a href="%s">%s</a></li>' % (
-                url, self.text)
+                url, text)
 
 class ManageUsersLink(ManageLink):
@@ -361,5 +363,5 @@
 
     link = u'users'
-    text = u'Portal Users'
+    text = _(u'Portal Users')
 
 class ContactActionButton(ManageActionButton):
@@ -369,5 +371,5 @@
     grok.require('waeup.manageUsers')
     icon = 'actionicon_mail.png'
-    text = 'Send email'
+    text = _('Send email')
     target = 'contactuser'
 
@@ -379,5 +381,5 @@
 
     link = u'datacenter'
-    text = u'Data Center'
+    text = _(u'Data Center')
 
 class MyPreferences(LeftSidebarLink):
@@ -386,5 +388,5 @@
     grok.order(7)
     grok.require('waeup.Public')
-    title = u'My Preferences'
+    title = _(u'My Preferences')
     icon = ''
 
@@ -401,5 +403,5 @@
     grok.order(8)
     grok.require('waeup.Public')
-    title = u'My Roles'
+    title = _(u'My Roles')
     icon = ''
 
@@ -420,5 +422,5 @@
     grok.context(IDataCenter)
     grok.view(DatacenterPage)
-    text = 'Edit settings'
+    text = _('Edit settings')
 
 class ManageFacultiesContainerActionButton(ManageActionButton):
@@ -427,5 +429,5 @@
     grok.context(IFacultiesContainer)
     grok.view(FacultiesContainerPage)
-    text = 'Manage academic section'
+    text = _('Manage academic section')
 
 class SearchFacultiesContainerActionButton(ManageActionButton):
@@ -434,5 +436,5 @@
     grok.context(IFacultiesContainer)
     grok.view(FacultiesContainerPage)
-    text = 'Search academic section'
+    text = _('Search academic section')
     icon = 'actionicon_search.png'
     target = '@@search'
@@ -443,5 +445,5 @@
     grok.context(IFaculty)
     grok.view(FacultyPage)
-    text = 'Manage faculty'
+    text = _('Manage faculty')
 
 class ManageDepartmentActionButton(ManageActionButton):
@@ -450,5 +452,5 @@
     grok.context(IDepartment)
     grok.view(DepartmentPage)
-    text = 'Manage department'
+    text = _('Manage department')
 
 class ShowDepartmentStudentsActionButton(ManageActionButton):
@@ -459,5 +461,5 @@
     grok.require('waeup.showStudents')
     icon = 'actionicon_student.png'
-    text = 'Show students'
+    text = _('Show students')
     target = 'showdepstudents'
 
@@ -467,5 +469,5 @@
     grok.context(ICourse)
     grok.view(CoursePage)
-    text = 'Edit course'
+    text = _('Edit course')
     
 class ManageCertificateActionButton(ManageActionButton):
@@ -474,5 +476,5 @@
     grok.context(ICertificate)
     grok.view(CertificatePage)
-    text = 'Manage certificate'
+    text = _('Manage certificate')
 
 class ShowCertificateStudentsActionButton(ManageActionButton):
@@ -483,5 +485,5 @@
     grok.require('waeup.showStudents')
     icon = 'actionicon_student.png'
-    text = 'Show students'
+    text = _('Show students')
     target = 'showcertstudents'
 
@@ -491,5 +493,5 @@
     grok.context(ICertificateCourse)
     grok.view(CertificateCoursePage)
-    text = 'Edit course referrer'
+    text = _('Edit course referrer')
 
 #
@@ -501,52 +503,5 @@
     grok.context(IUsersContainer)
     grok.view(UsersContainerPage)
-    text = 'Add user'
-
-#class AddFacultyActionButton(AddActionButton):
-#    grok.context(IFacultiesContainer)
-#    grok.view(FacultiesContainerPage)
-#    text = 'Add faculty'
-    
-#class AddDepartmentActionButton(AddActionButton):
-#    grok.context(IFaculty)
-#    grok.view(FacultyPage)
-#    text = 'Add department'
-
-#class AddCertificateActionButton(AddActionButton):
-#    grok.context(IDepartment)
-#    grok.view(DepartmentPage)
-#    grok.order(3)
-#    text = 'Add certificate'
-#    target = 'addcertificate'
-    
-#class AddCourseActionButton(AddActionButton):
-#    grok.context(IDepartment)
-#    grok.view(DepartmentPage)
-#    grok.order(4)
-#    text = 'Add course'
-#    target = 'addcourse'
-
-#class AddCertificateCourseActionButton(AddActionButton):
-#    grok.context(ICertificate)
-#    grok.view(CertificatePage)
-#    grok.order(4)
-#    text = 'Add course referrer'
-#    target = 'addcertificatecourse'
-
-#
-# Remove actions...
-#
-
-
-#class RemoveFacultyActionButton(RemoveActionButton):
-#    grok.context(IFacultiesContainer)
-#    grok.view(FacultiesContainerPage)
-#    text = 'Remove faculty'
-   
-#class RemoveDepartmentActionButton(RemoveActionButton):
-#    grok.context(IFaculty)
-#    grok.view(FacultyPage)
-#    text = 'Remove department'
-    
+    text = _('Add user')
 
 #
@@ -561,5 +516,5 @@
     icon = 'actionicon_manage.png' # File must exist in static/
     target = '@@show' # link to this viewname.
-    text = 'Show batch logs' # Text to display on the button
+    text = _('Show batch logs') # Text to display on the button
 
 class BrowseDatacenterLogs(BrowseActionButton):
@@ -569,5 +524,5 @@
     icon = 'documentinfo_templet.png'
     target = '@@logs'
-    text = 'Show batch logs'
+    text = _('Show batch logs')
 
 #
@@ -581,5 +536,5 @@
     icon = 'actionbox_templet.png'
     target = '@@import1'
-    text = 'Batch processing'
+    text = _('Batch processing')
 
 class UploadCSVButton(ActionButton):
@@ -590,5 +545,5 @@
     icon = 'go-up-16x16.png'
     target = '@@upload'
-    text = 'Upload CSV file'
+    text = _('Upload CSV file')
 
 #
@@ -699,5 +654,5 @@
     grok.require('waeup.managePortalConfiguration')
 
-    link_title = 'Portal Configuration'
+    link_title = _('Portal Configuration')
     def link_target(self):
         return self.view.url(self.view.context, 'configuration')
@@ -709,5 +664,5 @@
     grok.require('waeup.manageUsers')
 
-    link_title = 'Portal Users'
+    link_title = _('Portal Users')
     target_viewname = 'users'
     
@@ -718,5 +673,5 @@
     grok.require('waeup.manageDataCenter')
 
-    link_title = 'Data Center'
+    link_title = _('Data Center')
     target_viewname = 'datacenter'
 
@@ -794,3 +749,5 @@
 
     def render(self):
-        return u'<div class="text-right"><form method="POST"><input class="text-right" type="submit" value="remove" /></form></div>'
+        return u'<div class="text-right"><form method="POST">' + \
+            '<input class="text-right" type="submit" value="remove" />' + \
+            '</form></div>'
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 7704)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 7705)
@@ -748,7 +748,7 @@
         importerselect.getControl('Student Importer').selected = True
         modeselect.getControl(value='create').selected = True
-        self.browser.getControl('Proceed to step 3...').click()
+        self.browser.getControl('Proceed to step 3').click()
         self.assertTrue('Header fields OK' in self.browser.contents)
-        self.browser.getControl('Perform import...').click()
+        self.browser.getControl('Perform import').click()
         self.assertTrue('Processing of 1 rows failed' in self.browser.contents)
         self.assertTrue('Successfully processed 2 rows' in self.browser.contents)
@@ -775,9 +775,9 @@
             'StudentStudyCourse Importer (update only)').selected = True
         modeselect.getControl(value='create').selected = True
-        self.browser.getControl('Proceed to step 3...').click()
+        self.browser.getControl('Proceed to step 3').click()
         self.assertTrue('Update mode only' in self.browser.contents)
-        self.browser.getControl('Proceed to step 3...').click()
+        self.browser.getControl('Proceed to step 3').click()
         self.assertTrue('Header fields OK' in self.browser.contents)
-        self.browser.getControl('Perform import...').click()
+        self.browser.getControl('Perform import').click()
         self.assertTrue('Processing of 1 rows failed' in self.browser.contents)
         self.assertTrue('Successfully processed 2 rows'
Index: main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py	(revision 7704)
+++ main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py	(revision 7705)
@@ -32,5 +32,5 @@
         a dictionary.
 
-        Different languages must be separated by `<<xy>>` whereas
+        Different languages must be separated by `>>xy<<` whereas
         xy is the language code. Text parts without correct leading
         language separator - usually the first part has no language
